// ---------------------------------------------------------------------------
//
// Module:			Ethernet Test Program
// Filename:		main.h
// Version:			0.1
// Date:			07/MAY/2005
// Author:			A.Pemberton
// Function:		Header files for main
//
// Change History:	
//
// ---------------------------------------------------------------------------

#ifndef MAIN_H
#define MAIN_H

#include <stdlib.h>
#include <stdio.h>

#include "DM9000.h"
//#include "CUart.h"

void resolv_found(char *, u16_t *);
extern void datagram(void);

#define BUF ((struct uip_eth_hdr *)&uip_buf[0])

#ifndef NULL
#define NULL (void *)0
#endif /* NULL */

#define IE0_VECTOR		0	// 0x03 external interrupt 0
#define TF0_VECTOR		1	// 0x0b timer 0 overflow
#define IE1_VECTOR		2	// 0x13 external interrupt 1
#define TF1_VECTOR		3	// 0x1b timer 1 overflow
#define SI0_VECTOR		4	// 0x23 serial port 0
#define TF2_VECTOR		5	// 0x2B timer 2 overflow
#define SPIO_VECTOR		6	// 0x33 SPIO Hardware
#define SMB0_VECTOR		7	// 0x3b SPIO Hardware
#define AD0WINT_VECT	8	// 0x43 ADC0 Window Compare
#define PCA_VECTOR		9	// 0x4b Programmable Counter Array
#define CP0FIF_VECTOR	10	// 0x53 Comparator 0 Falling Edge
#define CP0RIF_VECTOR	11	// 0x5b Comparator 0 Rising Edge
#define CP1FIF_VECTOR	12	// 0x63 Comparator 1 Falling Edge
#define CP1RIF_VECTOR	13	// 0x6b Comparator 1 Rising Edge
#define TF3_VECTOR     	14	// 0x73 T3 overflow
#define AD0INT_VECTOR  	15	// 0x7b ADC0 Conversion Complete
#define TF4_VECTOR     	16	// 0x83 T4 overflow
#define AD1INT_VECTOR  	17	// 0x8b ADC1 End of Conversion
#define IE6_VECTOR    	18	// 0x93 External Interrupt 6
#define IE7_VECTOR		19	// 0x9B External Interrupt 7
#define UART1_VECTOR	20	// 0xA3 serial port 1
#define XTLVLD_VECTOR	21	// 0xAB External Crystal OSC Ready
#define TF3H 0x80			// Timer 3 high byte overflow flag

#define SYSCLK 20000000			// SYSCLK frequency in Hz
#define SAMPLERATE 200			// ADC0 Sample frequency (200Hz) in Hz
#define BAUDRATE 9600			// Data rate of UART0 in bps (9600)
#define INT_DEC 256				// integrate and decimate ratio
#define OneMinute (12000 - 1)	// (((1/(SYSCLK/2/62500)) * 12000) - 1)
#define TwoMinutes (24000 - 1)	// (((1/(SYSCLK/2/62500)) * 24000) - 1)
#define FiveMinutes (60000 - 1)	// (((1/(SYSCLK/2/62500)) * 60000) - 1)

#define RX_BUFFER_SIZE 8
#define TX_BUFFER_SIZE 24


#endif /* MAIN_H */
